Skip to navigation

Tracking data and handling alerts

View as Markdown

You can get activity tracking information for your organization by calling the Docusign Monitor API DataSet:stream endpoint. This endpoint enables you to download your organization’s data in segments specified by a cursor (a bookmark value returned by a previous DataSet:stream operation). You can use the resulting dataset to integrate the Monitor API with your existing SIEM software tools and apps.

  • In the development (demo) environment, the endpoint is: https://api-d.docusign.com/v1/organizations/{organizationId}/stream?cursor={{cursorValue}}&limit={{queryLimit}}

  • In the production environment, the endpoint is: https://api.docusign.com/v1/organizations/{organizationId}/stream?cursor={{cursorValue}}&limit={{queryLimit}}

Using cursor values

When you call the DataSet:stream endpoint, you can supply two parameters, cursor and limit, that determine the subset of the monitoring data that will be returned in the response JSON.

Note: To call the Monitor API endpoint, you must have obtained an access token using JWT authentication. See Authentication for details.

NameDescription
cursorA string query parameter that specifies the place in your monitoring data from which the request will begin gathering records. Your app can use cursor to keep its place while iterating through monitoring records in a way similar to how you might use a bookmark to keep your place while reading chapters of a book.

Whenever you successfully call the Monitor API endpoint, the response will include an endCursor value which you can use to create the cursor for your next request, enabling you to chunk your downloads as you examine large numbers of event and alert records.

Calls that do not specify a cursor will begin retrieving records starting seven days ago.

If data is needed beginning at a certain point in time, cursor can be specified as an ISO DateTime string value (such as 2022-01-01T00:00:00Z) instead of a cursor query string. In this case, data will be retrieved beginning from that DateTime. The earliest data available in the system is from 2021-01-01.

Docusign does not return all available data in response to a single request. Your integration should iterate through the dataset using a series of API calls, with each one requesting data starting from the cursor value and the subsequent request starting from the endCursor in the response.

Note: If a request returns no data, your integration should continue iterating using cursor and endCursor until data is returned. To avoid throttling, do not make requests more frequently than once per minute.

Not required. Defaults to 0.
limitAn Int32 query parameter that specifies the maximum number of records (up to 2000) to be returned in the response.

Not required. Defaults to 1000.

This parameter enforces a maximum number of records returned but does not guarantee a minimum number of records.

After a successful call, a set of JSON event and alert records is returned, including an endCursor metadata property.

NameDescription
endCursorA string value that specifies the place at which the monitoring data in the current response ended.
Use the value of endCursor to begin your next query from this spot in your records.
declare -a Headers=('--header' "Authorization: Bearer {ACCESS_TOKEN}" \
'--header' "Accept: application/json" \
'--header' "Content-Type: application/json")
curl --request GET
https://lens-d.docusign.net/api/v2.0/datasets/monitor/stream?limit=1 \
"${Headers[@]}" \

Next steps